@extends('layout.authentication')
@section('title', 'Login')

@section('content')
<div class="card">
    <div class="text-center mb-2">
        <a class="header-brand" href="{{route('home')}}"><img src="{{ asset('assets/images/gallery/logo_umj.png') }}" width="120px"></a>
    </div>
    <div class="card-body">
        <div class="card-title" style="text-align:center;"><h3>SIMLITABMAS</h3></div>
        @if(Session::has('alert'))
            <div class="alert alert-danger">
                <div>{{Session::get('alert')}}</div>
            </div>
        @endif
        <form method="POST" action="{{url('authentication/aksiLogin')}}">
            {{ csrf_field() }}
            <div class="form-group">
                <label class="form-label">NIDN</label>
                <input type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" name="email" placeholder="Masukkan NIDN">
            </div>
            <div class="form-group">
                <label class="form-label">Password<a href="{{url('authentication/forgotpassword')}}" class="float-right small">Lupa Password</a></label>
                <input type="password" class="form-control" name="password" id="exampleInputPassword1" placeholder="Masukkan Password">
            </div>
            <div class="form-footer">
                <button type="submit" class="btn btn-primary btn-block">Sign in</button>
            </div>
        </form>

    </div>
</div>

@stop

@section('popup')
<div class="modal fade" style="z-index: 10000000 !important;" data-backdrop="static" id="hkimodal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <form id="formPengajuanHKI" enctype="multipart/form-data">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="title" id="defaultModalLabel"><b>Pengajuan Insentif HKI</b></h4>
                </div>
                <div class="modal-body">
                    <table style="width:100%;">
                        <tr>
                            <td style="width:30%;">Nama Ketua</td>
                            <td style="width:70%;">
                                <input type="text" required name="nama" id="nama" class="form-control">
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Alamat dan Kode Pos</td>
                            <td style="width:70%;">
                                <textarea name="alamat" id="alamat" class="form-control" rows="5"></textarea>
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">No Telp / HP</td>
                            <td style="width:70%;">
                                <input type="text" required name="no_hp" id="no_hp" class="form-control">
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Judul</td>
                            <td style="width:70%;">
                                <input type="text" name="judul" id="judul" class="form-control">
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td colspan="2">
                                <div class="col-lg-12 col-md-6 col-sm-12">
                                    <div class="form-group row">
                                        <label for="team">Anggota &nbsp;<button class="btn btn-primary" id="btnAddMember" type="button" title="Tambah Anggota"><i class="fa fa-plus"></i></button></label>
                                        <div class="col-sm-12">
                                            <div class="table-responsive">
                                                <table class="table table-striped" id="tablememberhki">
                                                    <thead>
                                                        <tr>
                                                            <th><b>Nama</b></th>
                                                            <th><b>Alamat dan Kode Pos</b></th>
                                                            <th><b>No HP</b></th>
                                                            <th><b>Action</b></th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="appendRow">
                                                        <tr>
                                                            <td>
                                                                <input type="text" placeholder="Nama Anggota" class="form-control namaMember" name="member[nama][]">
                                                            </td>
                                                            <td>
                                                                <textarea name="member[alamat][]" class="form-control alamatMember" rows="5"></textarea>
                                                            </td>
                                                            <td>
                                                                <input type="text" placeholder="No Telp / HP" class="form-control noHpMember" name="member[no_hp][]">
                                                            </td>
                                                            <td>
                                                                <button type="button" class="btn btn-danger btnremove" title="Hapus baris ini" style="display:none;"><i class="fa fa-close"></i></button>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Tanggal Publikasi</td>
                            <td style="width:70%;">
                                <input type="text" name="tanggal_publikasi" id="tanggal_publikasi" class="form-control">
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Kota Publikasi</td>
                            <td style="width:70%;">
                                <input type="text" name="nama_kota_publikasi" id="nama_kota_publikasi" class="form-control">
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Resensi / Uraian</td>
                            <td style="width:70%;">
                                <textarea name="resensi_uraian" id="resensi_uraian" class="form-control" rows="15"></textarea>
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <input type="hidden" name="flag" value="1">
                        <input type="hidden" name="id" value="-1">
                        <input type="hidden" name="pengajuan_untuk" id="pengajuan_untuk" value="HKI">
                    </table>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 form-control-label">
                            <label for="file_name">Berkas KTP dan NPWP (dalam 1 PDF)</label>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="form-group">
                                <input name="berkas_ktp_npwp" class="form-control" type="file">
                            </div>
                            <ul>
                                <li>
                                    <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                                </li>
                                <li>
                                    <p>Ukuran maksimal file adalah 2MB</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 form-control-label">
                            <label for="file_name">Surat Pengalihan Hak Pemohon</label>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="form-group">
                                <input name="surat_pengalihan_hak_pemohon" class="form-control" type="file">
                            </div>
                            <ul>
                                <li>
                                    <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                                </li>
                                <li>
                                    <p>Ukuran maksimal file adalah 2MB</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 form-control-label">
                            <label for="file_name">Surat Pernyataan Pihak UMJ</label>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="form-group">
                                <input name="surat_pernyataan_pihak_umj" class="form-control" type="file">
                            </div>
                            <ul>
                                <li>
                                    <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                                </li>
                                <li>
                                    <p>Ukuran maksimal file adalah 2MB</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 form-control-label">
                            <label for="file_name">Karya Cipta</label>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="form-group">
                                <input name="karya_cipta" class="form-control" type="file">
                            </div>
                            <ul>
                                <li>
                                    <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                                </li>
                                <li>
                                    <p>Ukuran maksimal file adalah 2MB</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 form-control-label">
                            <label for="file_name">Bukti Transfer</label>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="form-group">
                                <input name="bukti_transfer" class="form-control" type="file">
                            </div>
                            <ul>
                                <li>
                                    <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                                </li>
                                <li>
                                    <p>Ukuran maksimal file adalah 2MB</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type='submit' class='btn btn-primary waves-effect'>Simpan</button>
                    <button type="button" class="btn btn-danger waves-effect" data-dismiss="modal">Tutup</button>
                </div>
            </div>
        </form>
    </div>
</div>

<div class="modal fade" style="z-index: 10000000 !important;" id="detailHki" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <form id="formUpdatePengajuanHKI" enctype="multipart/form-data">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="title" id="defaultModalLabel">Lihat Detail Pengajuan HKI</h4>
                    <button type="button" style="display:none;" class="closes" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">X</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="input-group mb-3">
                            <input type="text" name="token" placeholder="Masukan Token anda untuk cek status HKI anda" id="token" class="form-control">
                            <button type="button" id="btnCekHki" class="btn btn-primary">Cek HKI</button>
                        </div>
                    </div>
                    <div class="row" id="show" style="display:none;">

                    </div>
                    <div class="row" id="show2" style="display:none;">

                    </div>
                </div>
                <div class="modal-footer">
                    <button type='submit' id="btnUpdate" style="display:none;" class='btn btn-primary waves-effect'>Simpan</button>
                    <button type="button" class="btn btn-danger waves-effect" id="btnCloseHKI">Tutup</button>
                </div>
            </div>
        </form>
    </div>
</div>
@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>

<script>
    var date = new Date();
    date.setDate(date.getDate());

    var currYear = date.getFullYear();
    var startYear = currYear - 2;

    var startDate = new Date(date.getFullYear()-2, 0, 1);

    $('#tanggal_publikasi').datepicker({
        format: "dd-mm-yyyy",
        orientation: "bottom",
        todayHighlight: true,
        startDate: startDate,
        endDate: '+0y',
        clearBtn: true
    });

    $(document).on('click', '#tanggal_publikasi_2', function(){
        $('#tanggal_publikasi_2').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            todayHighlight: true,
            startDate: startDate,
            endDate: '+0y',
            clearBtn: true
        });
    });

    $(document).on('click', '#btnAddMember', function(){
        var str = "";
        str += '<tr>';
        str += '<td><input type="text" placeholder="Nama Anggota" class="form-control namaMember" name="member[nama][]"></td>';
        str += '<td><textarea name="member[alamat][]" class="form-control alamatMember" rows="5"></textarea></td>';
        str += '<td><input type="text" placeholder="No Telp / HP" class="form-control noHpMember" name="member[no_hp][]"></td>';
        str += '<td><button type="button" class="btn btn-danger btnremove" title="Hapus baris ini"><i class="fa fa-close"></i></button></td>';
        str += '</tr>';
        $('#appendRow').append(str);
        
        return false;
    });

    $(document).on('click', '.btnremove', function(){
        var row_index = $(this).parent().index();
        
        $(this).closest('tr').remove();
        return false;
    });

    $(document).on('click', '#btnAddMember2', function(){
        var str = "";
        str += '<tr>';
        str += '<td><input type="text" placeholder="Nama Anggota" class="form-control namaMember" name="member[nama][]"></td>';
        str += '<td><textarea name="member[alamat][]" class="form-control alamatMember" rows="5"></textarea></td>';
        str += '<td><input type="text" placeholder="No Telp / HP" class="form-control noHpMember" name="member[no_hp][]"></td>';
        str += '<td><button type="button" class="btn btn-danger btnremove" title="Hapus baris ini"><i class="fa fa-close"></i></button></td>';
        
        str += '</tr>';
        $('#tablememberhki2 > tbody:last-child').append(str);

        return false;
    });

</script>
@stop